导读 Canonical今天发布了所有支持Ubuntu操作系统版本的新Linux内核版本,以解决最新内核安全更新引入的回归问题。

上周,Canonical发布了所有支持Ubuntu版本的Linux内核更新,以解决Jonathan Looney在Linux内核的TCP重传队列实现中发现的几个安全漏洞,这些漏洞是在处理一些特定的TCP选择性确认(sack)时发现的。

这些安全漏洞被称为SACK Panic,它们影响Ubuntu 19.04、Ubuntu 18.10、Ubuntu 18.04 LTS和Ubuntu 16.04 LTS系统,并且可以允许远程攻击者通过构建一个正在进行的请求序列来导致拒绝服务,从而使受影响的系统崩溃。

然而,Canonical在所有支持Ubuntu Linux发行版的主软件库中推出的Linux内核补丁似乎引入了一个回归,它干扰了某些SO_SNDBUF值非常低的网络应用程序。因此,他们现在发布了新的内核版本。

“USN-4017-1针对Ubuntu修复了Linux内核中的漏洞。不幸的是,该更新引入了一个回归,干扰了设置SO_SNDBUF值非常低的网络应用程序。此更新解决了这个问题。我们为此带来的不便表示道歉,”阅读新的安全建议。

敦促用户更新他们的安装

Canonical敦促所有Ubuntu用户更新他们的安装到所有支持的架构和平台的官方软件库中可用的新的Linux内核版本,包括32位、64位、Raspberry Pi 2、OEM处理器、云环境和Snapdragon处理器。

新的Linux内核版本是linux-image-5.0.0-20.21 for Ubuntu 19.04, linux-image-4.18.0-25.26 for Ubuntu 18.10, linux-image-4.15.0-54.58 for Ubuntu 18.04 LTS, linux-image-4.15.0-54.58~16.04.1 for Ubuntu 16.04 LTS, and linux-image-4.4.0-154.181~14.04.1 for Ubuntu 14.04 ESM。安装新内核版本后,请重启系统。

原文来自:https://www.linuxidc.com/Linux/2019-06/159190.htm

本文地址:https://www.linuxprobe.com/canonical-repair-core.html编辑:张@宇,审核员:逄增宝

Linux命令大全:https://www.linuxcool.com/